Package org.apache.xmlbeans

## Interface XmlHexBinary

- All Superinterfaces:
    `XmlAnySimpleType`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `XmlHexBinaryImpl`, `XmlHexBinaryRestriction`

      public interface XmlHexBinary
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:hexBinary type.

  Convertible to a byte array.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XmlObjectFactory<XmlHexBinary>` | `Factory` |
    `static SchemaType` | `type` | The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getByteArrayValue()` | Returns this value as a byte array.
    `void` | `setByteArrayValue​(byte[] ba)` | Sets this value as a byte array.

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlHexBinary> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getByteArrayValue

          byte[] getByteArrayValue()

      Returns this value as a byte array.

    - #### setByteArrayValue

          void setByteArrayValue​(byte[] ba)

      Sets this value as a byte array.